import matplotlib.pyplot as plt
import matplotlib
import pandas as pd
df1 = pd.read_csv("readtimes.csv")

df1.plot.bar()
plt.legend(labels=["Read All Columns (Zippy)", "Read Subset (4) Columns (Zippy)", "Read All Columns (Uncompressed)", "Read All Columns (CSV)", "Read All in C"])

ax1 = plt.axes()
ax1.get_xaxis().set_ticks([])

SMALL_SIZE = 12
MEDIUM_SIZE = 14
BIGGER_SIZE = 18


plt.rc('font', size=SMALL_SIZE)          # controls default text sizes
plt.rc('axes', titlesize=SMALL_SIZE)     # fontsize of the axes title
plt.rc('axes', labelsize=MEDIUM_SIZE)    # fontsize of the x and y labels
plt.rc('xtick', labelsize=SMALL_SIZE)    # fontsize of the tick labels
plt.rc('ytick', labelsize=SMALL_SIZE)    # fontsize of the tick labels
plt.rc('legend', fontsize=SMALL_SIZE)    # legend fontsize
plt.rc('figure', titlesize=BIGGER_SIZE)  # fontsize of the figure title

plt.xlabel("Compression Method")
plt.ylabel("Total Read Time")
plt.title("Read Time For Different Methods")
plt.show()

df1 = pd.read_csv("compressed.csv")


df1.plot.bar()
plt.legend(labels=["CSV","No Compression","Zippy"])

ax1 = plt.axes()
ax1.get_xaxis().set_ticks([])

SMALL_SIZE = 12
MEDIUM_SIZE = 14
BIGGER_SIZE = 18


plt.rc('font', size=SMALL_SIZE)          # controls default text sizes
plt.rc('axes', titlesize=SMALL_SIZE)     # fontsize of the axes title
plt.rc('axes', labelsize=MEDIUM_SIZE)    # fontsize of the x and y labels
plt.rc('xtick', labelsize=SMALL_SIZE)    # fontsize of the tick labels
plt.rc('ytick', labelsize=SMALL_SIZE)    # fontsize of the tick labels
plt.rc('legend', fontsize=SMALL_SIZE)    # legend fontsize
plt.rc('figure', titlesize=BIGGER_SIZE)  # fontsize of the figure title

plt.xlabel("Compression Method")
plt.ylabel("Total Size (MB)")
plt.title("Compressed Size for Different Methods")
plt.show()
