import os
import pandas as pd
import time
import numpy as np

header = "CMTE_ID,AMNDT_IND,RPT_TP,TRANSACTION_PGI,IMAGE_NUM,TRANSACTION_TP,ENTITY_TP,NAME,CITY,STATE,ZIP_CODE,EMPLOYER,OCCUPATION,TRANSACTION_DT,TRANSACTION_AMT,OTHER_ID,TRAN_ID,FILE_NUM,MEMO_CD,MEMO_TEXT,SUB_ID".split(",")
PATH = "indiv20/by_date/itcont_2020_20010425_20190425.txt"

start = time.time()

df = pd.read_csv(PATH, delimiter='|', header=None, names=header)

for col in df:
    df[col] = [np.nan if (not isinstance(val, str) and np.isnan(val)) else 
               (val if isinstance(val, str) else str(int(val))) 
               for val in df[col].tolist()]

df.to_parquet("data.parquet")
end = time.time()

print "Time to convert to parquet: %.2f"%(end-start)

df.to_parquet("data.nocompress.parquet", compression=None)
