#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>


int main() {
    int *ar = malloc(100000000 * sizeof(int));
    int idx = 0;
    int val = 0;
    clock_t start, end;

    start = clock();

    //test random reading
    for (int i = 0; i < 1000000; i++) {
        idx = (idx + 57);
        val += ar[idx];
    }

    end = clock();
    double time = ((double) (end - start)) / CLOCKS_PER_SEC;
    printf ("total = %d, time for 1M random accesses = %.3f\n", val, time);
    printf ("bandwidth = %.2f MB/sec\n", (1.0 * sizeof(int) / time));


    //test sequential reading
    start = clock();

    for (int i = 0; i < 1000000; i++) {
        idx = (idx + 1);
        val += ar[idx];
    }

    end = clock();
    time = ((double) (end - start)) / CLOCKS_PER_SEC;
    printf ("total = %d, time for 1M sequential accesses = %.3f\n", val, time);
    printf ("bandwidth = %.2f MB/sec\n", (1.0 * sizeof(int) / time));
}